Bug 1478707 - kdump over ssh to remote target server [NEEDINFO]
kdump over ssh to remote target server
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-system-roles (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Pavel Cahyna
qe-baseos-daemons
: Extras, FutureFeature
Depends On: 1489746
Blocks: 1477926
  Show dependency treegraph
 
Reported: 2017-08-06 07:28 EDT by Terry Bowling
Modified: 2017-09-08 05:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bhe: needinfo? (pcahyna)
bhe: needinfo? (tbowling)


Attachments (Terms of Use)

  None (edit)
Description Terry Bowling 2017-08-06 07:28:16 EDT
Description of problem:

Verify and test that configuration of kdump over ssh works correctly according to customer provided requirements.

1. Supports RHEL 6, & 7  (5 as a stretch goal but not required)
2. Set crashkernel=128M in grub.conf  (need to verify this with best practices, possibly rely on current defaults or auto)
3. Set target to SSH
4. “core_collector makedumpfile -F -c -d 31”
5. Need to populate target servers ssh key into  ~/.ssh/known_hosts
6. Need to populate kdump_id_rsa key into remote target server authorized_keys file (currently using ansible copy module)  Could probably use the Ansible SSH authorized_key module http://docs.ansible.com/ansible/latest/authorized_key_module.html
7. Restart kdump
Comment 1 Baoquan He 2017-08-07 09:14:09 EDT
Hi Pavel,

Please don't assign this bug to me. As I discussed with Terry, I mentioned that I don't know how to copy ssh authorized file on a ansible server from system with kdump enabled to a dump target machine. Means, I Know there's ssh methods to copy ssh authorized file on A from A to B, but I don't know how to copy it on A from B to C. I ever asked other people, no one knows it. And I also raised this issue to Terry, he said he will ask people to hanlde it. I can tell what need to be done for this on kdump, better find a person who knows this.

Thanks
Baoquan
Comment 3 Baoquan He 2017-08-08 00:08:12 EDT
Think about it a while, if customer can copy the ssh authorized public key file to dump target server, and keep the private key file on dumping machine, ansible code will be simple to add to kdump module. While this may need all dumping machine to own the same private ssh key file. It may not be good. The ssh key file copying is a problem I ever tried at the first version of kdump module.

Since kdump provides "kdumpctl propagate" to copy ssh key file to dumping target server, while it will prompt with a ssh password input while it's not seen under ansible task running, it's not available any more.
Comment 4 Baoquan He 2017-09-08 05:28:21 EDT
Created a bz 1489746 to ask ansible component to implement a way to provide password between two remote ansible clients for ssh key file copying.

If they can fix 1489746, or suggest a way to satisfy the requirement, this bug can be fixed easily.

Note You need to log in before you can comment on or make changes to this bug.